## ruby-tioga 1.17

=== tests/profile_Dvector/Makefile ===
# Makefile for profiling

LIB=-lruby1.8
INCLUDE=-I/usr/lib/ruby/1.8/x86_64-linux/ -I.. -I../..
DVECTOR_C=../../split/Dvector.dvector.c

profile_fancy_read: $(DVECTOR_C) profile_fancy_read.c
	gcc -g -O0 -pg $(LIB) $(INCLUDE) -o $@ $^ 
clean:
	-rm profile_fancy_read fancy_read 

fancy_read: $(DVECTOR_C) fancy_read.c
	gcc -g -O2 $(LIB) $(INCLUDE) -o $@ $^ 

prepare_file: prepare_file.c
	gcc -g -O2 -o $@ $^

## ruby-tioga 1.14

=== debian/changelog ===
ruby-tioga (1.14-3) unstable; urgency=low

  * Rebuild with newer gem2deb
  * Move transitional packages to priority: extra

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 24 Jun 2012 02:01:24 +0200

ruby-tioga (1.14-2) unstable; urgency=low

  * Include fix-formats.diff to avoid passing to a printf-like function
    unprotected strings (closes: #676193)
  * Conforms to standards 3.9.3

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 06 Jun 2012 21:33:34 +0200

ruby-tioga (1.14-1) unstable; urgency=low

  * New upstream version; now works correctly with ruby1.9.1

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 14 Jun 2011 13:46:57 +0200

ruby-tioga (1.13-4) unstable; urgency=low

  * Package name change to follow the new ruby policy naming convention
    - two new packages: ruby-tioga and ruby-tioga-doc
  * New VCS location
  * Switch to dh 7 + gem2deb + rubysetuprb
  * Turn old packages into transition packages
  * Drop alternatives on preinst for transition packages libtioga-ruby1.*
  * Drop dependency on cdbs
  * Properly build documentation
  * disable-require-rubygems.diff to disable the use of rubygems

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 07 Jun 2011 00:23:02 +0200

libtioga-ruby (1.13-3) unstable; urgency=low

  * Upload to unstable, we've got a whole new distribution to break ;-) !
  * Fix the section of tioga to 'graphics', as in the archive

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 06 Feb 2011 10:25:06 +0100

libtioga-ruby (1.13-2) experimental; urgency=low

  * Rename tioga as tioga-1.8 and tioga-1.9.1 to avoid conflicts
  * Use alternatives to provide /usr/bin/tioga and the corresponding man
    page
  * Drop recommends on rdoc + move irb to suggests

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 24 Jan 2011 21:36:06 +0100

libtioga-ruby (1.13-1) experimental; urgency=low

  * New upstream release
  * Already conforms to standards 3.9.1
  * Switched to using cdbs/ruby-setup-rb.mk now that upstream build 
    system relies on setup.rb
  * Remove all patches, not necessary anymore, along with references to dpatch
  * Switch to format 3.0 (quilt)
  * Remove the -examples package: there is no need to split the examples 
    out of the documentation.
  * Bump debhelper compatibility to 7
  * Include images in the generated documentation
  * Do not use dh_rdoc as the generated graphs are simply useless (in the
    case of Tioga)
  * Profit from cdbs/ruby-setup-rb.mk to also build for Ruby 1.9.1

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 24 Jan 2011 20:22:35 +0100

libtioga-ruby (1.11-1) unstable; urgency=low

  * New upstream release
  * Changed the Homepage to something more appropriate
  * Already conforms to standards 3.8.2

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 19 Jul 2009 02:19:27 +0200

libtioga-ruby (1.10-1) unstable; urgency=low

  * New upstream release
  * Moved to Section: ruby
  * Install the tioga.sty style file into the documentation package. No
    integration with texlive is performed, however.
  * Few debian/rules cleanups
  * Already conforms to standards 3.8.1
  * Bumped debhelper compatibility level to 5

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 30 Mar 2009 19:40:38 +0200

libtioga-ruby (1.9-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Added a debian/README.source, to document the patching system used and
    also to state that, even if zlib sources are now included in
    upstream's tarballs, they are not used on Debian systems
  * Now conforms to standards 3.8.0
  * Adding ${misc:Depends} to all packages

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 21 Feb 2009 20:03:00 +0100

libtioga-ruby (1.8-1) unstable; urgency=low

  * New upstream release
  * Added long-forgotten Vcs fields
  * Switched to a machine-readable form for debian/copyright 
    (killing lintian's copyright-without-copyright-notice warning 
    in the process)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 06 Apr 2008 13:46:50 +0200

libtioga-ruby (1.7-1) unstable; urgency=low

  * Using new Hompage field
  * New upstream release
  * Already conforms to 3.7.3

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 08 Feb 2008 00:14:58 +0100

libtioga-ruby (1.6-2) unstable; urgency=low

  * Better cleanup, should now dpkg-build twice in a row (closes: #442655)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 16 Sep 2007 21:19:11 +0200

libtioga-ruby (1.6-1) unstable; urgency=low

  [ Paul van Tilburg ]
  * Added team address, since this package is team-maintained!

  [ Vincent Fourmond ]
  * New upstream release

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 03 Jun 2007 21:11:47 +0200

libtioga-ruby (1.5-1) unstable; urgency=low

  * New upstream release (Closes: #418190)
  * Added rdoc documentation
  * Added a (rudimentary) manpage for the tioga script

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 14 Apr 2007 23:00:18 +0200

libtioga-ruby (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Disable 02-extconf.rb (fixed upstream)
  * Fix yet again another typo in description (Closes: #399128)
  * Changed source name to reflect ruby policy
  * Added ruby-pkg-tools, switched to my new debian address
  * Better watchfile (doesn't pickup samples and pre-releases)

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 16 Mar 2007 10:40:23 +0100

tioga (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.7.2 (no changes required)
  * Renamed the binary package to libtioga-ruby1.8 to follow ruby conventions
  * Provided tioga transition package and libtioga-ruby ruby-version independant
    package
  * Now using dpatch to manage changes to upstream.
  * Description improved (Closes: #352746, #354702), thanks to Martin Schulze
  * Provide a libtioga-ruby-examples package.
  * Tweaking extconf.rb to disable by default the installation of include files

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Wed,  4 Oct 2006 20:54:50 +0200



=== debian/control ===
Source: ruby-tioga
Section: ruby
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), ruby1.8-dev, ruby1.8, zlib1g-dev,
               rdoc1.8, libfftw3-dev, ruby1.9.1, ruby1.9.1-dev,
               gem2deb (>= 0.3.0~)
Standards-Version: 3.9.3
Homepage: http://tioga.rubyforge.org
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-tioga.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-tioga.git;a=summary
XS-Ruby-Versions: all

Package: ruby-tioga
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
         texlive-latex-base | tetex-bin
Suggests: libtioga-ruby-doc, xpdf | pdf-viewer, 
          irb | irb1.8 | irb1.9.1
Replaces: libtioga-ruby1.8 (<< 1.13-4~), 
          libtioga-ruby1.9.1 (<< 1.13-4~),
          libtioga-ruby (<< 1.13-4~)
Breaks: libtioga-ruby1.8 (<< 1.13-4~), 
        libtioga-ruby1.9.1 (<< 1.13-4~),
        libtioga-ruby (<< 1.13-4~)
Description: Ruby library for scientific graphs 
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and 
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes 
 with a configuration file for irb for interactive plotting of pictures.
 .
 A PDF viewer is strongly recommended if you want to make use of the
 tioga script, a wrapper around some of the library functionalities.

Package: tioga
Architecture: all
Section: graphics
Depends: ruby-tioga, ${misc:Depends}
Description: Ruby library for scientific graphs [transition package]
 This is a dependency package that can be safely removed once no
 package depend on it.

Package: ruby-tioga-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Recommends: ruby-tioga, irb
Description: Ruby library for scientific graphs
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and 
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes 
 with a configuration file for irb for interactive plotting of pictures.
 .
 This package provides the rdoc documentation generated from tioga's
 source. It includes a complete API reference and a fairly extensive
 tutorial.

# transitional packages
Package: libtioga-ruby1.8
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-tioga
Description: Ruby library for scientific graphs [transition package]
 This is a dummy transition package that can be safely removed once no
 package depend on it.

Package: libtioga-ruby1.9.1
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-tioga
Description: Ruby library for scientific graphs [transition package]
 This is a dummy transition package that can be safely removed once no
 package depend on it.

Package: libtioga-ruby
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-tioga
Description: Ruby library for scientific graphs [transition package]
 This is a dummy transition package that can be safely removed once no
 package depend on it.

Package: libtioga-ruby-doc
Architecture: all
Depends: ${misc:Depends}, ruby-tioga-doc
Section: oldlibs
Priority: extra
Description: Ruby library for scientific graphs [transition package]
 This is a dummy transition package that can be safely removed once no
 package depend on it.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=rubysetuprb --with ruby

override_dh_auto_build:
	dh_auto_build
# Then build documentation
	rdoc1.8 -o rdoc

override_dh_auto_clean:
	dh_auto_clean
# Remove documentation
	rm -rf rdoc/

## ruby-tioga 1.17

=== debian/changelog ===
ruby-tioga (1.17-2) unstable; urgency=low

  * Drop all references to versioned ruby packages, since gem2deb pulls them 
    in anyway (closes: #735663)
  * Conforms to standards 3.9.5
  * Drop embedded jquery.js from documentation

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 30 Jan 2014 22:24:51 +0100

ruby-tioga (1.17-1) unstable; urgency=low

  * New upstream release
  * Drop all transitional packages (closes: #722363)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 23 Sep 2013 20:27:16 +0200

ruby-tioga (1.16-1) unstable; urgency=low

  * New upstream release
  * Drop fix-formats.diff, long ago incorporated upstream
  * Using canonical URLs for VCS fields, thank to Cédric Boutiller

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 26 Aug 2013 22:36:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Vincent Fourmond <fourmond@debian.org>
 Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ruby1.8-dev, ruby1.8, zlib1g-dev,
-               rdoc1.8, libfftw3-dev, ruby1.9.1, ruby1.9.1-dev,
+Build-Depends: debhelper (>= 7.0.50~), rdoc,
+               libfftw3-dev, zlib1g-dev,
                gem2deb (>= 0.3.0~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://tioga.rubyforge.org
-Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-tioga.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-tioga.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-tioga.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-tioga.git;a=summary
 XS-Ruby-Versions: all
 
 Package: ruby-tioga
@@ -46,7 +46,7 @@
 
 Package: ruby-tioga-doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Section: doc
 Recommends: ruby-tioga, irb
 Description: Ruby library for scientific graphs
@@ -60,40 +60,3 @@
  This package provides the rdoc documentation generated from tioga's
  source. It includes a complete API reference and a fairly extensive
  tutorial.
-
-# transitional packages
-Package: libtioga-ruby1.8
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, ruby-tioga
-Description: Ruby library for scientific graphs [transition package]
- This is a dummy transition package that can be safely removed once no
- package depend on it.
-
-Package: libtioga-ruby1.9.1
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, ruby-tioga
-Description: Ruby library for scientific graphs [transition package]
- This is a dummy transition package that can be safely removed once no
- package depend on it.
-
-Package: libtioga-ruby
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, ruby-tioga
-Description: Ruby library for scientific graphs [transition package]
- This is a dummy transition package that can be safely removed once no
- package depend on it.
-
-Package: libtioga-ruby-doc
-Architecture: all
-Depends: ${misc:Depends}, ruby-tioga-doc
-Section: oldlibs
-Priority: extra
-Description: Ruby library for scientific graphs [transition package]
- This is a dummy transition package that can be safely removed once no
- package depend on it.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 override_dh_auto_build:
 	dh_auto_build
 # Then build documentation
-	rdoc1.8 -o rdoc
+	rdoc -o rdoc
+	rm -f rdoc/js/jquery.js
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://rubyforge.org/frs/?group_id=701 .*tioga-([\d.-]*)\.t.*

## ruby-tioga 1.18

=== debian/changelog ===
ruby-tioga (1.18-2) unstable; urgency=medium

  * Use more recent setup.rb + explicit load path for scripts, to avoid FTBSes 
    (closes: #791783)
  * Already conforms to latest standards

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 13 Jul 2015 23:01:04 +0200

ruby-tioga (1.18-1) unstable; urgency=low

  * New upstream release

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 17 Mar 2014 22:36:01 +0100

## ruby-tioga 1.19.1

=== plots/data/Makefile ===
# Makefile for Tioga Tutorial

# compiler information -- change as you wish
C_COMPILER = gcc
C_FLAGS = -g -c -ansi -W -Wall

BUILDER = builder
BUILDER_OBJS = builder.o

$(BUILDER) : $(BUILDER_OBJS) 
	$(C_COMPILER) -o $(BUILDER) $(BUILDER_OBJS) -lm

%.o: %.c
	$(C_COMPILER) -I$(EZVIEW_INCDIR) $(C_FLAGS) $<

clean : 
	-@rm -f *.o

=== debian/changelog ===
ruby-tioga (1.19.1-5ubuntu1) oracular; urgency=medium

  * d/p/fix-ftbfs-with-ruby3.3.patch: update $CFLAGS to fix FTBFS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Aug 2024 18:43:51 -0300

ruby-tioga (1.19.1-5build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 04:14:00 -0300

ruby-tioga (1.19.1-5build1) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 02 Feb 2024 04:23:09 -0300

ruby-tioga (1.19.1-5) unstable; urgency=medium

  * QA upload.
  * debian/rules: Remove stray files not caught by clean target.
    (Closes: #1047200)
  * debian/patches: Use a consistent date when generating the sty file.
    (Closes: #1005727)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Fri, 01 Dec 2023 16:57:54 -0800

ruby-tioga (1.19.1-4) unstable; urgency=medium

  * Team upload.
  * d/patches/drop-obsolete-rb_safe_level-function.patch: Add patch.
    - Drop the obsolete rb_safe_level() function (closes: #1008409).
  * d/patches/series: Add new patch.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 28 Jan 2023 16:44:40 +0100

ruby-tioga (1.19.1-3) unstable; urgency=medium

  * Team upload.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Chris Hofstaedtler ]
  * Stop using ruby-setup (Closes: #969326)
  * Update Standards-Version to 4.5.0, no changes needed

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 31 Aug 2020 13:51:35 +0000

ruby-tioga (1.19.1-2) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Team upload.
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Christian Hofstaedtler ]
  * Explicitly B-D on ruby-setup.
    Previously, gem2deb depended on ruby-setup, but to enable cross-building,
    it will drop that dependency.
  * Remove all mentions of libtioga-ruby1.*
  * Remove transitional leaf package "tioga"

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 13 Apr 2016 18:34:57 +0000

ruby-tioga (1.19.1-1) unstable; urgency=low

  * New upstream release
  * Adapt the patches based on ideas from
    https://github.com/fourmond/tioga/pull/2/commits (but not exactly, though)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 14 Sep 2015 22:42:42 +0200

=== debian/control ===
Source: ruby-tioga
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               libfftw3-dev,
               rdoc,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-tioga.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-tioga
XS-Ruby-Versions: all

Package: ruby-tioga
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         texlive-latex-base | tetex-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: irb,
          libtioga-ruby-doc,
          xpdf | pdf-viewer
Description: Ruby library for scientific graphs
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes
 with a configuration file for irb for interactive plotting of pictures.
 .
 A PDF viewer is strongly recommended if you want to make use of the
 tioga script, a wrapper around some of the library functionalities.

Package: ruby-tioga-doc
Architecture: all
Depends: libjs-jquery,
         ${misc:Depends}
Section: doc
Recommends: irb,
            ruby-tioga
Multi-Arch: foreign
Description: Ruby library for scientific graphs
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes
 with a configuration file for irb for interactive plotting of pictures.
 .
 This package provides the rdoc documentation generated from tioga's
 source. It includes a complete API reference and a fairly extensive
 tutorial.

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,10 @@
 #export DH_RUBY_GEMSPEC=gem.gemspec
 
 %:
-	dh $@ --buildsystem=rubysetuprb --with ruby
+	dh $@ --buildsystem=ruby --with ruby
 
 override_dh_auto_build:
+	ruby -I. misc/mk_tioga_sty.rb
 	dh_auto_build
 # Then build documentation
 	rdoc -o rdoc
@@ -24,3 +25,5 @@
 	dh_auto_clean
 # Remove documentation
 	rm -rf rdoc/
+# Remove leftover files from build process
+	rm -f lib/Tioga/TexPreamble.rb misc/tioga.sty
